#ifndef LIST_H
#define LIST_H

#include "global.h"

typedef struct S_LIST LIST;
typedef struct S_LISTNODE LISTNODE;

LIST* LISTinit (void);
void LISTinsert (LIST*, Item, int);
Item LISTremove (LIST*, int);
void LISTpush (LIST*, Item);
Item LISTpop (LIST*);
void LISTput (LIST*, Item);
Item LISTget (LIST*);
Item LISTitem (LIST*, int);
Item LISTfirst (LIST*);
Item LISTlast (LIST*);
Item LISTfront (LIST*);
Item LISTback (LIST*);
int LISTempty (LIST*);
int LISTnum (LIST*);
void LISTclear (LIST*);
void LISTfree (LIST*);

#endif
