#include <string.h>

#include "util.h"
#include "macros.h"

/*******************************************************
reverses a given string
********************************************************/
void stringReverse (char *s)
{
  int i;
  int l;
  char tmp;

  l=(int)strlen (s);
  for (i=0; i<l/2; i++) SWAP (s[i], s[l-i-1], tmp);
}

/*******************************************************
normalizes a given vector so that it sums to num
********************************************************/
void normalize (float *D, int num)
{
  int i;
  float sum=0.0f;

  for (i=0; i<num; i++) sum+=D[i];
  
  if (sum>0.0f)
    for (i=0; i<num; i++) D[i]=(D[i]*(float)num)/sum;
  else
    for (i=0; i<num; i++) D[i]=1.0f;
}
